
TypoScript Reference (TSref) - Task # 34137

Status: Closed Priority: Should have
Author: Ingmar Schlecht Category:
Created: 2012-02-21 Assigned To: Chris topher
Updated: 2013-03-03 Due date:
Subject: Add documentation for new cObject FILES (the FAL file cObject) and the new getText data type "file""
Description

See the attached docx file for the necessary documentation changes for the cObject FILES (the FAL file cObject) and the new
getText data type implemented by FAL.

Related issues:
related to Core - Bug # 39955: FILES TS Object is not able to deal with comma... Resolved 2012-08-19
duplicated by TypoScript Reference (TSref) - Feature # 36391: Integrate new c... Closed 2012-04-20
follows Core - Feature # 33752: Make use of File Abstraction Layer in Frontend Resolved 2012-02-07

Associated revisions
Revision f59ba650 - 2012-10-25 19:08 - Chris topher

[TASK] Add cObject FILES and getText data type "file"

Add documentation for new cObject FILES (the FAL file cObject) and the
new getText data type "file".

Change-Id: I91ea90a6e852306e1e47ba8867428ebe55a09318
Resolves: #34137

History
#1 - 2012-02-24 12:45 - Ingmar Schlecht
- File deleted (fal_content_element.docx)

#2 - 2012-02-24 12:46 - Ingmar Schlecht
- File fal_content_element.docx added

A new version is attached now.

#3 - 2012-02-24 16:26 - Ingmar Schlecht
- File deleted (fal_content_element.docx)

#4 - 2012-02-24 16:26 - Ingmar Schlecht
- File fal_content_element.docx added

#5 - 2012-02-29 15:00 - Chris topher
- Target version set to 6.0

#6 - 2012-08-19 13:02 - Marcel Burkhalter

According to Steffen Ritter, the references property should be able to take in a comma separated list of sys_file_reference UID's (see 
https://review.typo3.org/#/c/13322/ comment from Aug 18). The documentation currently does not reflect this.

#7 - 2012-10-22 18:08 - Chris topher
- Tracker changed from Bug to Task

#8 - 2012-10-24 14:52 - Chris topher
- Assigned To set to Chris topher

The cObject was committed in #33752.

A list of values for the property "references" is possible since #39955.

#9 - 2012-10-24 15:35 - Chris topher

Hi Marcel,

thanks for your patch concerning a list of values in the property "references".

And thanks for adding the note here! Will be part of the documentation. :-)

I still need to figure out where exactly between the existing cObjects the new cObject FILES fits best....

#10 - 2012-10-24 15:57 - Chris topher
- File fal_content_element.docx added

Updated version, still in Word format. All notes taken into account, some mistakes fixed.

#11 - 2012-10-24 23:45 - Chris topher
- Subject changed from Add documentation for new cObject FILES (the FAL file cObject) and new getText data type to Add documentation for new 
cObject FILES (the FAL file cObject) and the new getText data type "file""

#12 - 2012-10-24 23:46 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15927

#13 - 2012-10-24 23:51 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15927

#14 - 2012-10-25 17:54 - Gerrit Code Review
Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15927

#15 - 2012-10-25 19:05 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15927

#16 - 2012-10-25 19:36 - Chris topher
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f59ba6506100f251ade6a5fee318027d5f57ba84.

#17 - 2013-03-03 20:51 - Chris topher
- Status changed from Resolved to Closed

Files
fal_content_element.docx 92.8 kB 2012-02-24 Ingmar Schlecht
fal_content_element.docx 42.9 kB 2012-10-24 Chris topher
